proc/V_Search(SearchQ as text)

	var/http[] = world.Export("http://dictionary.reference.com/search?q=[SearchQ]")

	if(!http)
		return "Failed to connect."
		return

	var/F = http["CONTENT"]
	if(F)
		var/list/Definitions=new()
		var/Content = file2text(F)
		var/EntriesFound = findtext(Content," entries found for ")
		var/NumStart = EntriesFound - 2
		var/Entries = ckey(copytext(Content,NumStart,NumStart+2))
		var/FirstDefStart=1
		var/EndDef
		var/FirstDef
		if(EntriesFound)
			for(var/I = 1 to text2num(Entries))
				FirstDef = findtext(Content,"<LI>",FirstDefStart)
				FirstDefStart=FirstDef
				EndDef = findtext(Content,"</LI>", findtext(Content,"<LI>",FirstDefStart))
				FirstDefStart=EndDef

				if(!FirstDef)
					FirstDef = findtext(Content,"<DD>")
					if(!FirstDef)
						FirstDef = findtext(Content,"<DD>")
						if(!FirstDef)
							var/pos1end = findtext(Content, "</p>", findtext(Content, "<p>", EntriesFound))
							FirstDef = findtext(Content, "<p>", pos1end)
							EndDef = findtext(Content, "</p>",FirstDef)
						else
							EndDef = findtext(Content,"</DD>")
				Definitions +=  copytext(Content,FirstDef,EndDef)

			return Definitions


		else
			var/FindBegin = findtext(Content,"<p>")
			var/FindEnd = findtext(Content, "</p>", findtext(Content, "No entry found for "))
			Definitions+= "Not found"
			Definitions["Not found"] = "<B>No entry found for <I>[SearchQ]</I>."
			var/DidYouMean = copytext(Content,FindBegin,FindEnd)
			Definitions+="Did you mean?"
			Definitions["Did you mean?"] = DidYouMean
			return Definitions




